
#include <stdlib.h>
#include <GL/glut.h>

#include "st.h"

STImage img;
int windowSizeX;
int windowSizeY;


static void display() {

	glClearColor(.1f, .1f, .1f, 1.0f);
	glClear(GL_COLOR_BUFFER_BIT | GL_DEPTH_BUFFER_BIT);
	
	img.Draw();

	glutSwapBuffers();

}


// Keyboard event handler
static void keyboard(unsigned char key, int x, int y) {
  
	switch (key) {

		case char(27):
		case 'q':
		case 'Q':
			exit(0);			
	}
}


// Reshape just records the new size of the window. 
void reshape(int w, int h) {
	windowSizeX = w;
	windowSizeY = h;
}


int main(int argc, char** argv) {
	
	if (argc < 2) {
		fprintf(stderr, "Usage: %s filename\n", argv[0]);
		exit(1);
	}

	img.Load(argv[1]);
	//img.Save("test.jpg");
	img.Save("test.png");

	glutInit(&argc, argv);
	glutInitDisplayMode( GLUT_DOUBLE | GLUT_RGB | GLUT_DEPTH);
	glutInitWindowPosition(20,20);
	glutInitWindowSize(512, 512);
	glutCreateWindow("Image Viewer");

	glEnable(GL_DEPTH_TEST);

	glutDisplayFunc(display);
	glutKeyboardFunc(keyboard);
	glutReshapeFunc(reshape);
	glutMainLoop();	

	return 0;
}

